cURL
curl --request PATCH \
--url https://api.helohq.com/channels/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"tracking": {
"links": true,
"opens": true
}
}
'using HeloEmail.Sdk;
using HeloEmail.Sdk.Channels;
var channelDetails = await helo.Channels.Update("550e8400-e29b-41d4-a716-446655440000", new UpdateChannelRequest
{
Name = "test-name",
DeliveryType = DeliveryType.Live,
});Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
id = "550e8400-e29b-41d4-a716-446655440000"
update_channel_request = Helo::UpdateChannelRequest.new(
name: "test-name",
delivery_type: Helo::DeliveryType::LIVE,
tracking: Helo::UpdateChannelTracking.new(links: true, opens: true)
)
Helo::Channels.update(id, update_channel_request)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
channel_details = client.channels.update(
"550e8400-e29b-41d4-a716-446655440000",
name="test-name",
delivery_type=helo.DeliveryType.LIVE,
tracking={"links": True, "opens": True},
)package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
params := &helo.UpdateChannelRequest{
Name: "test-name",
DeliveryType: helo.DeliveryTypeLive,
}
result, err := client.Channels.Update(ctx, "550e8400-e29b-41d4-a716-446655440000", params)
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.channels.update(
"550e8400-e29b-41d4-a716-446655440000",
{
name: "test-name",
deliveryType: Helo.DeliveryType.LIVE,
tracking: { links: true, opens: true },
},
);{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"deliveryType": "live",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tracking": {
"links": true,
"opens": true
}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Channels
Update a channel
Modifies an existing channel by ID.
PATCH
/
channels
/
{id}
cURL
curl --request PATCH \
--url https://api.helohq.com/channels/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"tracking": {
"links": true,
"opens": true
}
}
'using HeloEmail.Sdk;
using HeloEmail.Sdk.Channels;
var channelDetails = await helo.Channels.Update("550e8400-e29b-41d4-a716-446655440000", new UpdateChannelRequest
{
Name = "test-name",
DeliveryType = DeliveryType.Live,
});Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
id = "550e8400-e29b-41d4-a716-446655440000"
update_channel_request = Helo::UpdateChannelRequest.new(
name: "test-name",
delivery_type: Helo::DeliveryType::LIVE,
tracking: Helo::UpdateChannelTracking.new(links: true, opens: true)
)
Helo::Channels.update(id, update_channel_request)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
channel_details = client.channels.update(
"550e8400-e29b-41d4-a716-446655440000",
name="test-name",
delivery_type=helo.DeliveryType.LIVE,
tracking={"links": True, "opens": True},
)package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
params := &helo.UpdateChannelRequest{
Name: "test-name",
DeliveryType: helo.DeliveryTypeLive,
}
result, err := client.Channels.Update(ctx, "550e8400-e29b-41d4-a716-446655440000", params)
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.channels.update(
"550e8400-e29b-41d4-a716-446655440000",
{
name: "test-name",
deliveryType: Helo.DeliveryType.LIVE,
tracking: { links: true, opens: true },
},
);{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"deliveryType": "live",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tracking": {
"links": true,
"opens": true
}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The channel ID.
Body
application/json
The new display name for the channel. Omit to keep the current value.
Delivery mode for a channel. live sends real emails, whereas sandbox
accepts and processes messages without delivering them to recipients.
Available options:
live, sandbox Show child attributes
Show child attributes
Response
OK
The unique channel ID.
The display name of the channel.
Delivery mode for a channel. live sends real emails, whereas sandbox
accepts and processes messages without delivering them to recipients.
Available options:
live, sandbox When the channel was created.
When the channel was last updated.
Show child attributes
Show child attributes